<?php

/**
 * Plugin Name: Paynoloji
 * Description: Paynoloji WooCommerce için ödeme yöntemi.
 * Version: 1.0.0
 * Author: Murat Al
 * Author URI: https://yonet.org
 * Text Domain: paynoloji-gateway
 * Domain Path: /languages
 */

if (!defined('ABSPATH')) {
    exit;
}

// Constants
require_once plugin_dir_path(__FILE__) . 'includes/constants.php';

// Core functionality
require_once PAYNOLOGI_PLUGIN_DIR . 'includes/class-paynoloji-loader.php';

// Initialize the plugin
function paynoloji_init()
{
    new Paynoloji_Loader();
}

add_action('plugins_loaded', 'paynoloji_init', 0);
