const paynoloji_data = window.wc.wcSettings.getSetting(
  "woocommerce_paynoloji_settings",
  {}
);
const paynoloji_label =
  window.wp.htmlEntities.decodeEntities(paynoloji_data.title) ||
  window.wp.i18n.__("Paynoloji", "paynoloji");
const paynoloji_content = (paynoloji_data) => {
  return window.wp.htmlEntities.decodeEntities(
    paynoloji_data.description || ""
  );
};
const PaynolojiGateway = {
  name: "paynoloji",
  label: paynoloji_label,
  content: Object(window.wp.element.createElement)(paynoloji_content, null),
  edit: Object(window.wp.element.createElement)(paynoloji_content, null),
  canMakePayment: () => true,
  placeOrderButtonLabel: window.wp.i18n.__("Devam Et", "paynoloji"),
  ariaLabel: paynoloji_label,
  supports: {
    features: paynoloji_data.supports
  }
};
window.wc.wcBlocksRegistry.registerPaymentMethod(PaynolojiGateway);
